from __future__ import unicode_literals

from evotevotings.admin.forms import AdminAuthenticationForm

from . import AdminTestCase


class AdminAuthenticationFormTest(AdminTestCase):
    """ """

    def setUp(self):
        self.credentials = {
            'email': 'member@eurotux.com',
            'password': 'password'
        }
        self.user = self.create_user(is_staff=True, **self.credentials)

    def test_admin_user(self):
        form = AdminAuthenticationForm(data=self.credentials)
        self.assertTrue(form.is_valid())
        self.assertEqual(form.get_user(), self.user)

    def test_non_admin_user(self):
        self.user.is_staff = False
        self.user.save()
        form = AdminAuthenticationForm(data=self.credentials)
        self.assertFalse(form.is_valid())
        self.assertEqual(
            form.errors.values()[0][0], form.error_messages['invalid_login'])
