# -*- coding: utf-8 -*-
# Generated by Django 1.10.1 on 2016-09-28 12:00
from __future__ import unicode_literals

from django.db import migrations, models
import django_extensions.db.fields
import evotecore.utils
import sorl.thumbnail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Candidate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('logo', sorl.thumbnail.fields.ImageField(blank=True, upload_to=evotecore.utils.images_upload_to, verbose_name='logo')),
                ('designation', models.CharField(max_length=128, verbose_name='designation')),
            ],
            options={
                'verbose_name': 'candidate',
                'verbose_name_plural': 'candidates',
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('designation', models.CharField(max_length=128, verbose_name='category designation')),
                ('weight', models.PositiveSmallIntegerField(default=1, verbose_name='category weight')),
            ],
            options={
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
            },
        ),
        migrations.CreateModel(
            name='Election',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('proposition_begin_date', models.DateTimeField(blank=True, verbose_name='begin date')),
                ('proposition_end_date', models.DateTimeField(blank=True, verbose_name='end date')),
                ('roll_begin_date', models.DateTimeField(blank=True, verbose_name='begin date')),
                ('roll_end_date', models.DateTimeField(blank=True, verbose_name='end date')),
                ('voting_begin_date', models.DateTimeField(blank=True, verbose_name='begin date')),
                ('voting_end_date', models.DateTimeField(blank=True, verbose_name='end date')),
                ('voting_references_date', models.DateTimeField(blank=True, verbose_name='consult voting references')),
                ('minute_publication_date', models.DateTimeField(blank=True, verbose_name='begin date')),
                ('minute_begin_date', models.DateTimeField(blank=True, verbose_name='begin date')),
                ('minute_end_date', models.DateTimeField(blank=True, verbose_name='end date')),
                ('identifier', models.CharField(help_text='Insert the election designation', max_length=128, verbose_name='election identifier')),
                ('description', models.CharField(help_text='brief description text about election', max_length=512, verbose_name='election description')),
                ('state', models.PositiveSmallIntegerField(choices=[(0, 'In verification'), (1, 'Electoral roll closed'), (2, 'In to vote')], default=0, verbose_name='state')),
                ('limit_remarkable_choices', models.PositiveSmallIntegerField(choices=[(1, 1), (2, 2), (3, 3), (4, 4), (5, 5), (6, 6), (7, 7), (8, 8), (9, 9)], default=1, verbose_name='limit remarkable choices')),
                ('write_in', models.BooleanField(default=True, verbose_name='write in?')),
                ('ordered_voting', models.BooleanField(default=True, verbose_name='ordered voting?')),
                ('weight_votes', models.BooleanField(default=True, verbose_name='weight votes?')),
                ('hondt_method', models.BooleanField(default=True, verbose_name='hondt method?')),
                ('hondt_total_seats', models.PositiveSmallIntegerField(choices=[(1, 1), (2, 2), (3, 3), (4, 4), (5, 5), (6, 6), (7, 7), (8, 8), (9, 9)], verbose_name='hondt total seats')),
            ],
            options={
                'verbose_name': 'election',
                'verbose_name_plural': 'elections',
            },
        ),
    ]
