# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-10-11 23:22
from __future__ import unicode_literals

import autoslug.fields
from autoslug.utils import slugify
from django.db import migrations


def populate_slugs(apps, schema_editor):
    ElectoralProcess = apps.get_model('evoteprocesses.electoralprocess')
    for process in ElectoralProcess.objects.all():
        process.slug = slugify(process.identifier + str(process.pk))
        process.save()


class Migration(migrations.Migration):

    dependencies = [
        ('evoteprocesses', '0005_auto_20160930_1817'),
    ]

    operations = [
        migrations.AddField(
            model_name='electoralprocess',
            name='slug',
            field=autoslug.fields.AutoSlugField(editable=False, populate_from='identifier'),
            preserve_default=False,
        ),
        migrations.RunPython(populate_slugs,
                             reverse_code=migrations.RunPython.noop),
        migrations.AlterField(
            model_name='electoralprocess',
            name='slug',
            field=autoslug.fields.AutoSlugField(editable=False, populate_from='identifier', unique=True),
            preserve_default=False,
        ),
    ]
