from __future__ import unicode_literals

from modeltranslation.translator import register, TranslationOptions

from .models import ElectoralProcess, Action, ElectoralDocument


@register(Action)
class ActionTranslationOptions(TranslationOptions):
    fields = ('designation',)
    required_languages = ('pt', 'en')


@register(ElectoralProcess)
class ElectoralProcessTranslationOptions(TranslationOptions):
    fields = ('identifier', 'description')
    required_languages = ('pt', 'en')


@register(ElectoralDocument)
class ElectoralDocumentTranslationOptions(TranslationOptions):
    fields = ('designation', )
    required_languages = ('pt', 'en')
