from django.core.urlresolvers import reverse
from django.test import TestCase

from evotevotings.elections.tests.utils import ElectionsTestUtils
from evoteusers.tests.utils import UserTestUtils


class VoteReferencesAjaxViewTest(UserTestUtils, ElectionsTestUtils, TestCase):

    def setUp(self):
        self.login()
        self.election = self.create_election()
        self.url = reverse("voters:vote-reference-next-page", kwargs={
            "pk": self.election.electoral_process_id,
            "pk_election": self.election.pk
        })

    def test_login_required(self):
        """ """
        self.client.logout()
        response = self.client.get(self.url)
        self.assertEqual(response.status_code, 302)

    def test_used_template(self):
        """ """
        response = self.client.get(self.url)
        self.assertEqual(response.status_code, 200)
        self.assertTemplateUsed(
            response, 'voters/includes/vote_reference_list.html')
